Bug 15924 - Coce not enabled on lists
Summary: Coce not enabled on lists
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-26 14:28 UTC by Nicole C. Engard
Modified: 2017-10-05 21:25 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15294 - Coce not enabled on lists (2.74 KB, patch)
2016-02-26 14:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15924 - Coce not enabled on lists (5.74 KB, patch)
2017-03-20 12:11 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15924 - Coce not enabled on lists (5.80 KB, patch)
2017-06-09 16:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15924 - Coce not enabled on lists (5.85 KB, patch)
2017-06-15 13:37 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15924 - Coce not enabled on lists (5.91 KB, patch)
2017-09-01 08:43 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Nick Clemens 2016-02-26 14:49:29 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-09-01 16:16:14 UTC
[% coce_id = SEARCH_RESULT.normalized_ean || SEARCH_RESULT.normalized_isbn %]

I don't think this can work because SEARCH_RESULT isn't a valid variable as far as I can tell. Looks like existing instances of it don't do anything. This should work:

[% coce_id = itemsloo.normalized_ean || itemsloo.normalized_isbn %]
Comment 3 Nick Clemens 2017-03-20 12:11:11 UTC
Created attachment 61287 [details] [review]
Bug 15924 - Coce not enabled on lists

To test:
Enable Coce and disable other image services
Load a list and not there are no covers
Apply patch
Load a list and note there are covers
Comment 4 Katrin Fischer 2017-05-12 06:13:14 UTC
Hi Nick, I think you mentioned a test server for Coce a while ago, is this still available for testing?
Comment 5 Owen Leonard 2017-06-09 16:26:58 UTC
Created attachment 64163 [details] [review]
[SIGNED-OFF] Bug 15924 - Coce not enabled on lists

To test:
Enable Coce and disable other image services
Load a list and not there are no covers
Apply patch
Load a list and note there are covers

https://bugs.koha-community.org/show_bug.cgi?id=15924

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Kyle M Hall 2017-06-15 13:37:09 UTC
Created attachment 64323 [details] [review]
Bug 15924 - Coce not enabled on lists

To test:
Enable Coce and disable other image services
Load a list and not there are no covers
Apply patch
Load a list and note there are covers

https://bugs.koha-community.org/show_bug.cgi?id=15924

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Julian Maurice 2017-09-01 08:43:20 UTC
Created attachment 66691 [details] [review]
Bug 15924 - Coce not enabled on lists

To test:
Enable Coce and disable other image services
Load a list and not there are no covers
Apply patch
Load a list and note there are covers

https://bugs.koha-community.org/show_bug.cgi?id=15924

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 8 Jonathan Druart 2017-09-01 16:03:57 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 9 Fridolin SOMERS 2017-10-03 07:53:08 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 10 Katrin Fischer 2017-10-05 21:25:29 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.